unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    RichEdit1: TRichEdit;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  i, nFiles: integer;
  FileNames, UnitedText, Separator, Tmp: string;
  TextStream: TStringStream;
begin
  TextStream := TStringStream.Create('');
  Separator := 'par par par '; //    
  // ,    - 3 
  UnitedText := '';

  OpenDialog1.Options := OpenDialog1.Options
    //      
  + [ofAllowMultiSelect]; // 

  RichEdit1.MaxLength := $7FFFFFF0; //   
  //     RichEdit1

  try //   ..

    if OpenDialog1.Execute then
    begin
      nFiles := OpenDialog1.Files.count - 1;
      for i := 0 to nFiles do
      begin

        FileNames := OpenDialog1.Files.Strings[i];
        RichEdit1.Lines.LoadFromFile(FileNames);
        //    
        //  RichEdit1
        RichEdit1.Lines.SaveToStream(TextStream);
        //       
        //  TextStream,
        Tmp := TextStream.DataString; //     
        //  Tmp  String,

        TextStream.Position := 0; //      0,

        if i = 0 then //  -   
          Tmp := copy(Tmp, 0, length(Tmp) - 5) //  , , 
        else if i = nFiles then //   ,  
          Tmp := Separator + copy(Tmp, 2, length(Tmp))
            //    
        else //    
          Tmp := Separator + copy(Tmp, 2, length(Tmp) - 5);
            //  RTF-   .
        //   ,   RTF-
        // cz c  '{'   '}'.
        UnitedText := UnitedText + Tmp; //     UnitedText
      end;

      TextStream.WriteString(UnitedText);
      //      

      TextStream.Position := 0; //    0
      RichEdit1.Lines.LoadFromStream(TextStream);
      //     RichEdit1
    end;
  finally
    TextStream.Free;
  end;
end;

end.
